%define upstream_name    Module-Runtime-Conflicts
%define upstream_version 0.003

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Provide information on conflicts for Module::Runtime
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::CheckConflicts)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(if)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module provides conflicts checking for the Module::Runtime manpage,
which had a recent release that broke some versions of the Moose manpage.
It is called from the Moose::Conflicts manpage and 'moose-outdated'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENCE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.3.0-5.mga10
+ Revision: 2204051
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.3.0-4.mga9
+ Revision: 1809754
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.3.0-3.mga8
+ Revision: 1505271
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.3.0-2.mga7
+ Revision: 1284874
- Mageia 7 Mass Rebuild

* Sat Jul 22 2017 shlomif <shlomif> 0.3.0-1.mga7
+ Revision: 1128788
- update to 0.003

* Sun Jun 19 2016 pterjan <pterjan> 0.2.0-3.mga6
+ Revision: 1030299
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.2.0-2.mga6
+ Revision: 966105
- Mageia 6 Mass Rebuild

* Tue Jun 23 2015 shlomif <shlomif> 0.2.0-1.mga6
+ Revision: 840751
- Importing perl-Module-Runtime-Conflicts


* Tue Jun 23 2015 cpan2dist 0.002-1mga
- initial mageia release, generated with cpan2dist
